### Virtual Method

# Foundry LlmConversation call

#### Declaration [src]

    DexFuture*
    call (
      FoundryLlmConversation* self,
      FoundryLlmToolCall* call
    )

#### Description

No description available.

#### Parameters

`call`

  Type: `FoundryLlmToolCall`

  A `FoundryLlmToolCall`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryLlmMessage` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.